package doctor.system.api;

import doctor.common.core.constant.ServiceNameConstants;
import doctor.common.core.domain.HealthR;
import doctor.common.core.domain.R;
import doctor.system.api.factory.RemoteDoctorFallbackFactory;
import doctor.system.api.model.LoginUser;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestParam;

@FeignClient(contextId = "remoteDoctorService", value = ServiceNameConstants.FILE_DOCTOR, fallbackFactory = RemoteDoctorFallbackFactory.class)
public interface RemoteDoctorService {

    @PostMapping("/doctor/getDoctor")
    public R<LoginUser> getDoctorInfo(@RequestParam("email") String email);

    @PostMapping("/doctor/getUser")
    public R<LoginUser> getUser(@RequestParam("email") String email);
}
