package doctor.auth.form;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.Size;

/**
 * 用户登录对象
 *
 * @author ruoyi
 */
@Data
@ApiModel("用户登录")
public class LoginBody
{
    @NotBlank(message = "用户名不能为空")
    @ApiModelProperty("姓名")
    private String username;

    @NotBlank(message = "密码不能为空")
    @Size(min = 1, message = "密码长度不能小于1")
    @ApiModelProperty("密码")
    private String password;
}
