package doctor.auth.service;

import doctor.auth.util.RSAUtils;
import doctor.auth.util.RsaKey;
import doctor.auth.vo.DoctorVo;
import doctor.common.core.domain.HealthR;
import doctor.common.core.domain.R;
import doctor.common.security.service.TokenService;
import doctor.system.api.RemoteDoctorService;
import doctor.system.api.model.LoginUser;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import java.util.Map;

@Component
public class HealthDoctorService {
    @Autowired
    private RemoteDoctorService remoteDoctorService;
    @Autowired
    private TokenService tokenService;

    public DoctorVo login(String email, String pwd) {
        DoctorVo doctorVo = new DoctorVo();
        R<LoginUser> userResult = remoteDoctorService.getDoctorInfo(email);
        LoginUser data = userResult.getData();
        String s="";
        try {
           s = RSAUtils.rsaDecrypt(pwd, RsaKey.PRIVATE_KEY);
        } catch (Exception e) {
            throw new RuntimeException(e);
        }
        if (data==null){
            return null;
        }
        if (s.equals(data.getDoctor().getPwd())){
            Map<String, Object> token = tokenService.createToken(data);
            String accessToken = (String) token.get("access_token");
            doctorVo.setSessionId(accessToken);
            doctorVo.setDoctorId(data.getSysUser().getUserId().intValue());
            doctorVo.setUserName(data.getSysUser().getUserName());
            doctorVo.setImagePic(data.getDoctor().getImagePic());
            doctorVo.setJobTitle(data.getDoctor().getJobTitle());
            doctorVo.setDepartmentId(data.getDoctor().getDepartmentId().intValue());
            doctorVo.setInauguralHospital(data.getDoctor().getInauguralHospital());
            doctorVo.setDepartmentName(data.getDoctor().getDepartment().getDepartmentName());
            doctorVo.setInauguralHospital(data.getDoctor().getInauguralHospital());
            doctorVo.setJiGuangPwd(s);
            doctorVo.setWhetherHaveImagePic(2);
            return doctorVo;
        }
        return null;
    }
}
