package doctor.auth.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import java.io.Serializable;

@Data
public class DoctorVo implements Serializable {
    @NotNull(message = "医生ID不能为空")
    @ApiModelProperty("医生ID")
    private int doctorId;

    @NotBlank(message = "会话ID不能为空")
    @ApiModelProperty("会话ID")
    private String sessionId;

    @NotBlank(message = "姓名不能为空")
    @ApiModelProperty("姓名")
    private String name;

    @NotBlank(message = "用户名不能为空")
    @ApiModelProperty("用户名")
    private String userName;

    @NotNull(message = "审核状态不能为空")
    @ApiModelProperty("审核状态")
    private int reviewStatus;

    @NotBlank(message = "极光密码不能为空")
    @ApiModelProperty("极光密码")
    private String jiGuangPwd;

    @ApiModelProperty("图片")
    private String imagePic;

    @NotBlank(message = "就职医院不能为空")
    @ApiModelProperty("就职医院")
    private String inauguralHospital;

    @NotBlank(message = "职称不能为空")
    @ApiModelProperty("职称")
    private String jobTitle;

    @NotNull(message = "科室ID不能为空")
    @ApiModelProperty("科室ID")
    private int departmentId;

    @NotBlank(message = "科室名称不能为空")
    @ApiModelProperty("科室名称")
    private String departmentName;

    @NotNull(message = "是否有图文咨询权限不能为空")
    @ApiModelProperty("图文咨询权限")
    private int whetherHaveImagePic;
}
