package doctor.auth.vo;

import lombok.Data;

import javax.validation.constraints.Email;
import javax.validation.constraints.Min;
import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;

@Data
public class UserVo {
    @NotNull(message = "用户ID不能为空")
    private Integer userId;

    @NotBlank(message = "会话ID不能为空")
    private String sessionId;

    @NotBlank(message = "昵称不能为空")
    private String nickName;

    @NotBlank(message = "用户名不能为空")
    private String userName;


    @NotBlank(message = "极光密码不能为空")
    private String jiGuangPwd;

    private String headPic;

    @NotNull(message = "性别不能为空")
    private Integer sex;

    @Min(value = 0, message = "年龄不能小于0")
    private Integer age;

    @Min(value = 0, message = "身高不能小于0")
    private Integer height;

    @Min(value = 0, message = "体重不能小于0")
    private Integer weight;

    @Email(message = "请输入有效的邮箱地址")
    private String email;

    @NotNull(message = "是否绑定微信不能为空")
    private Integer whetherBingWeChat;

    private String invitationCode;

    @NotNull(message = "面部标志不能为空")
    private Integer faceFlag;

}
