package doctor.controller;

import com.baomidou.dynamic.datasource.annotation.DS;
import doctor.common.core.domain.HealthR;
import doctor.common.core.domain.R;
import doctor.system.api.domain.Doctor;
import doctor.service.DoctorUserService;
import doctor.system.api.domain.SysUser;
import doctor.system.api.domain.User;
import doctor.system.api.model.LoginUser;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

@RestController
@RequestMapping("/doctor")
public class HealthLoginController {

    @Autowired
    private DoctorUserService iDoctorUserService;

    @PostMapping("/getUser")
    public R<LoginUser> getUser(@RequestParam String email) {
        User user = iDoctorUserService.getUser(email);
        LoginUser loginUser = new LoginUser();
        SysUser sysUser = new SysUser();
        sysUser.setUserId(Long.valueOf(user.getId()));
        sysUser.setUserName(user.getNickName());
        loginUser.setUser(user);
        loginUser.setSysUser(sysUser);
        return R.ok(loginUser);
    }

    @PostMapping("/getDoctor")
    public R<LoginUser> getDoctor(@RequestParam String email) {
        Doctor user = iDoctorUserService.getDoctor(email);
        LoginUser loginUser = new LoginUser();
        SysUser sysUser = new SysUser();
        sysUser.setUserId(Long.valueOf(user.getId()));
        sysUser.setUserName(user.getName());
        loginUser.setDoctor(user);
        loginUser.setSysUser(sysUser);
        return R.ok(loginUser);
    }


}
