package doctor.controller;

import doctor.common.core.domain.HealthR;
import doctor.domain.vo.DoctorIncomeRecordVo;
import doctor.domain.vo.DoctorVo;
import doctor.domain.vo.NoticeReadNumVo;
import doctor.domain.vo.WalletVo;
import doctor.service.HealthJobTitleService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;
import org.springframework.web.multipart.MultipartFile;

import java.util.List;

@RestController
@RequestMapping("/verify/v1")
public class HealthRVerifyController {
    @Autowired
    private HealthJobTitleService healthJobTitleService;

    @GetMapping("/findDoctorWallet")
    public HealthR<WalletVo> findDoctorWallet(@RequestHeader Integer doctorId,
                                              @RequestHeader String sessionId) {

        WalletVo healthR = healthJobTitleService.findDoctorWallet(doctorId);
        return HealthR.ok(healthR);
    }

    @PostMapping("/uploadImagePic")
    public HealthR uploadImagePic(@RequestParam("imagePic") MultipartFile imagePic,
                                  @RequestHeader String sessionId,
                                  @RequestHeader Integer doctorId) {
        return HealthR.ok(healthJobTitleService.uploadImagePic(imagePic, doctorId, sessionId));
    }

    @GetMapping("/findDoctorIncomeRecordList")
    public HealthR<List<DoctorIncomeRecordVo>> findDoctorIncomeRecordList(@RequestHeader Integer doctorId,
                                                                          @RequestHeader String sessionId,
                                                                          @RequestParam Integer page,
                                                                          @RequestParam Integer count) {
        List<DoctorIncomeRecordVo> doctorIncomeRecordEntities = healthJobTitleService.findDoctorIncomeRecordList(doctorId, page, count);
        return HealthR.ok(doctorIncomeRecordEntities);
    }

    @GetMapping("/findDoctorById")
    public HealthR<DoctorVo> findDoctorById(@RequestHeader Integer doctorId,
                                            @RequestHeader String sessionId) {
        return HealthR.ok(healthJobTitleService.findDoctorById(doctorId));
    }

    @GetMapping("/findDoctorNoticeReadNum")
    public HealthR<List<NoticeReadNumVo>> findDoctorNoticeReadNum(@RequestHeader Integer doctorId,
                                                                  @RequestHeader String sessionId) {
        List<NoticeReadNumVo> healthR = healthJobTitleService.findDoctorNoticeReadNum(doctorId);
        return HealthR.ok(healthR);
    }

}
