package doctor.controller;

import doctor.common.core.domain.HealthR;
import doctor.domain.vo.SearchSickCircleVo;
import doctor.domain.vo.SickCircleVo;
import doctor.domain.vo.SickInfoVo;
import doctor.service.SickCircleService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

@RestController
@RequestMapping("/sickCircle/v1")
public class HealthSickController {

    @Autowired
    private SickCircleService sickCircleService;

    @GetMapping("/findSickCircleInfo")
    public HealthR<SickInfoVo> findSickCircleInfo(@RequestParam Integer sickCircleId) {
        SickInfoVo sickInfoVo = sickCircleService.findSickCircleInfo(sickCircleId);
        return HealthR.ok(sickInfoVo);
    }

    @GetMapping("/findSickCircleList")
    public HealthR<List<SickCircleVo>> sickCircleList(@RequestParam Integer page,
                                                      @RequestParam Integer count,
                                                      @RequestParam Integer departmentId) {
        List<SickCircleVo> sickCircleList = sickCircleService.findSickCircleList(page, count, departmentId);
        return HealthR.ok(sickCircleList);
    }

    @GetMapping("/searchSickCircle")
    public HealthR<SearchSickCircleVo> searchSickCircle(@RequestParam String keyWord) {
        SearchSickCircleVo searchSickCircleVo = sickCircleService.searchSickCircle(keyWord);
        return HealthR.ok(searchSickCircleVo);
    }
}
