package doctor.controller;


import doctor.common.core.domain.HealthR;
import doctor.domain.vo.VideoCategoryVo;
import doctor.domain.vo.VideoVo;
import doctor.service.HealthUserVideoService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import java.util.List;

import static com.github.pagehelper.page.PageMethod.startPage;

@RestController
@RequestMapping("/user/video/v1")
public class HealthUserVideoController{
    @Autowired
    private HealthUserVideoService healthUserVideoService;

    @GetMapping("/findVideoCategoryList")
    public HealthR<List<VideoCategoryVo>> findVideoCategoryList(){
        List<VideoCategoryVo> List = healthUserVideoService.findVideoCategoryList();
        return HealthR.ok(List);
    }

    @GetMapping("/findVideoVoList")
    public HealthR<List<VideoVo>> findVideoVoList(@RequestParam Integer categoryId,
                                                  @RequestParam Integer page,
                                                  @RequestParam Integer count,
                                                  @RequestHeader Integer userId,
                                                  @RequestHeader String sessionId){
        startPage(page,count);
        List<VideoVo> List = healthUserVideoService.findVideoVoList(categoryId,userId);
        return HealthR.ok(List);
    }


}
