package doctor.controller;

import doctor.common.core.domain.HealthR;
import doctor.domain.vo.InquiryDetailsRecordVo;
import doctor.service.InquiryService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

import static com.github.pagehelper.page.PageMethod.startPage;

/**
 * @ClassName : InquiryController
 * @Description : 问诊
 * @Author : FJJ
 * @Date: 2024-01-12 19:09
 */
@RestController
@RequestMapping("/user/inquiry/verify/v1")
public class InquiryController {
    @Autowired
    private InquiryService inquiryService;
    //历史问诊记录列表
    @GetMapping("/findHistoryInquiryRecord")
    public HealthR<List<InquiryDetailsRecordVo>> findHistoryInquiryRecord(@RequestParam Integer page,@RequestParam Integer count){
        startPage(page,count);
        List<InquiryDetailsRecordVo> inquiryDetailsRecordVoList = inquiryService.findHistoryInquiryRecord();
        return HealthR.ok(inquiryDetailsRecordVoList);
    }

}
