package doctor.domain.dto;

import lombok.Data;

import javax.validation.constraints.Email;
import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import javax.validation.constraints.Size;
import java.io.Serializable;

@Data
public class ApplyJoinDto implements Serializable {
    private static final long serialVersionUID = 1L;
    @Email(message = "请输入有效的邮箱地址")
    private String email;

    @NotBlank(message = "验证码不能为空")
    private String code;

    @Size(min = 4, message = "密码长度不能小于4")
    private String pwd1;

    @Size(min = 4, message = "确认密码长度不能小于4")
    private String pwd2;

    @NotBlank(message = "姓名不能为空")
    private String name;

    @NotBlank(message = "就职医院不能为空")
    private String inauguralHospital;

    @NotNull(message = "部门ID不能为空")
    private Integer departmentId;

    @NotNull(message = "职称ID不能为空")
    private Integer jobTitleId;
    private String personalProfile;
    private String goodFieId;
}
