package doctor.domain.vo;

import lombok.Data;
import org.apache.catalina.User;

import javax.validation.constraints.Email;
import javax.validation.constraints.NotBlank;
import javax.validation.constraints.Pattern;
import javax.validation.constraints.Size;

/**
 * @BelongsProject: Medical_Treatment
 * @BelongsPackage: doctor.vo
 * @Author: jpz
 * @CreateTime: 2024/1/8 20:41
 */
@Data
public class UserVo {
    @NotBlank(message = "密码不能为空")
    @Size(min = 4, message = "密码长度不能小于4")
    private String pwd;

    @NotBlank(message = "邮箱不能为空")
    @Email(message = "请输入有效的邮箱地址")
    private String email;

    @NotBlank(message = "昵称不能为空")
    private String nickName;

    @NotBlank(message = "验证码不能为空")
    @Pattern(regexp = "\\d{4}", message = "验证码必须是6位数字")
    private String code;

}
