package doctor.mapper;

import doctor.domain.dto.UserArchivesDto;
import doctor.domain.entity.*;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * @ClassName : UserVideoMapper
 * @Description :
 * @Author : FJJ
 * @Date: 2024-01-10 14:33
 */
@Mapper
public interface UserVideoMapper {
    List<UserVideoCollectionEntity> findVideoCollectionList(@Param("userId") Integer userId);

    void cancelVideoCollection(@Param("videoId") Integer videoId);

    List<UserVideoBuyEntity> findUserVideoBuyList();

    void deleteVideoBuy(@Param("videoId") Integer videoId);

    List<UserWalletEntity> findUserWallet();

    List<UserConsumptionRecordEntity> findUserConsumptionRecordList();

    List<UserEntity> findUserEntityList(@Param("userId") Integer userId);

    List<UserInfoCollectionEntity> findUserInfoCollectionList();

    List<UserAdoptCommentEntity> findMyAdoptedCommentList();

    List<UserArchivesEntity> findUserArchives(@Param("userId") Integer userId);

    void addUserArchives(UserArchivesEntity userArchivesEntity, @Param("userId") Integer userId);

    void uploadUserArchivesImg(@Param("id") Integer id);


}
