package doctor.service.impl;


import doctor.common.security.service.TokenService;
import doctor.common.security.utils.SecurityUtils;
import doctor.domain.entity.UserVideoBuyEntity;
import doctor.domain.entity.UserVideoCollectionEntity;
import doctor.domain.entity.VideoCategoryEntity;
import doctor.domain.entity.VideoEntity;
import doctor.domain.vo.VideoCategoryVo;
import doctor.domain.vo.VideoVo;
import doctor.mapper.HealthUserVideoMapper;
import doctor.service.HealthUserVideoService;
import doctor.util.ConvertUtil;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import javax.servlet.http.HttpServletRequest;
import java.util.List;

@Service
public class HealthUserVideoServiceImpl implements HealthUserVideoService {
    @Autowired
    private HealthUserVideoMapper healthUserVideoMapper;

    @Autowired
    private TokenService tokenService;

    @Override
    public List<VideoCategoryVo> findVideoCategoryList() {

        List<VideoCategoryEntity> videoCategoryList =healthUserVideoMapper.findVideoCategoryList();
        List<VideoCategoryVo> videoCategoryVos = ConvertUtil.entityToVoList(videoCategoryList, VideoCategoryVo.class);
        return videoCategoryVos;
    }

    @Override
    public List<VideoVo> findVideoVoList(Integer categoryId, Integer userId) {
        List<VideoEntity> videoVoList = healthUserVideoMapper.findVideoVoList(categoryId);
        List<VideoVo> videoVos = ConvertUtil.entityToVoList(videoVoList, VideoVo.class);
        videoVos.forEach(video -> {
            UserVideoCollectionEntity userVideoCollection = healthUserVideoMapper.selectWhetherCollectionByUserIdAndVideoId(userId,video.getId());
            if(userVideoCollection!=null){
                video.setWhetherCollection(1);
            }else {
                video.setWhetherCollection(2);
            }
            UserVideoBuyEntity userVideoBuy  = healthUserVideoMapper.selectWhetherBuyByUserIdAndVideoId(userId,video.getId());
            if(userVideoBuy!=null){
                video.setWhetherBuy(1);
            }else {
                video.setWhetherBuy(2);
            }
            Integer buyNum = healthUserVideoMapper.selectVideoBuyNum(video.getId());
            video.setBuyNum(buyNum);
        });

        return videoVos;
    }
}
