package doctor.service.impl;

import doctor.common.core.domain.HealthR;
import doctor.common.core.web.controller.BaseController;
import doctor.domain.entity.SickCircleEntity;
import doctor.domain.vo.SearchSickCircleVo;
import doctor.domain.vo.SickCircleVo;
import doctor.domain.vo.SickInfoVo;
import doctor.mapper.SickCircleMapper;
import doctor.service.SickCircleService;
import org.springframework.beans.BeanUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.ArrayList;
import java.util.List;

@Service
public class SickCircleServiceImpl extends BaseController implements SickCircleService {

    @Autowired
    private SickCircleMapper sickCircleMapper;
    @Override
    public List<SickCircleVo> findSickCircleList(Integer page, Integer size, Integer departmentId) {
        List<SickCircleEntity> list = sickCircleMapper.findSickCircleList(departmentId);
        ArrayList<SickCircleVo> sickCircleVos = new ArrayList<>();
        for (SickCircleEntity sickCircleEntity : list) {
            SickCircleVo sickCircleVo = new SickCircleVo();
            sickCircleVo.setSickCircleId(sickCircleEntity.getSickCircleId());
            BeanUtils.copyProperties(sickCircleEntity,sickCircleVo);
            sickCircleVos.add(sickCircleVo);
        }
        return sickCircleVos;
    }

    @Override
    public SickInfoVo findSickCircleInfo(Integer sickCircleId) {
        SickCircleEntity sickCircleInfo = sickCircleMapper.findSickCircleInfo(sickCircleId);
        SickInfoVo sickInfoVo = new SickInfoVo();
        BeanUtils.copyProperties(sickCircleInfo,sickInfoVo);
        return sickInfoVo;
    }

    @Override
    public SearchSickCircleVo searchSickCircle(String keyWord) {
        SearchSickCircleVo searchSickCircleVo = new SearchSickCircleVo();
        SickCircleEntity sickCircleInfo = sickCircleMapper.findSickCircleInfoByKeyWord(keyWord);
        BeanUtils.copyProperties(sickCircleInfo,searchSickCircleVo);
        return searchSickCircleVo;
    }
}
