package doctor.service.impl;

import doctor.domain.dto.UserArchivesDto;
import doctor.domain.entity.*;
import doctor.domain.vo.*;
import doctor.mapper.UserVideoMapper;
import doctor.service.UserVideoService;
import doctor.util.ConvertUtil;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * @ClassName : UserVideoServiceImpl
 * @Description :
 * @Author : FJJ
 * @Date: 2024-01-10 14:34
 */
@Service
public class UserVideoServiceImpl implements UserVideoService {
    @Autowired
    private UserVideoMapper userVideoMapper;


    @Override
    public List<UserVideoCollectionVo> findVideoCollectionList(Integer userId) {
        List<UserVideoCollectionEntity> userVideoCollectionEntityList=userVideoMapper.findVideoCollectionList(userId);
        List<UserVideoCollectionVo> userVideoCollectionVoList = ConvertUtil.entityToVoList(userVideoCollectionEntityList, UserVideoCollectionVo.class);
        return userVideoCollectionVoList;
    }

    @Override
    public void cancelVideoCollection(Integer userId, String sessionId, Integer videoId) {
        userVideoMapper.cancelVideoCollection(videoId);
    }

    @Override
    public List<UserConsumptionRecordVo> findUserConsumptionRecordList() {
        List<UserConsumptionRecordEntity> userConsumptionRecordEntityList=userVideoMapper.findUserConsumptionRecordList();
        List<UserConsumptionRecordVo> userConsumptionRecordVoList = ConvertUtil.entityToVoList(userConsumptionRecordEntityList, UserConsumptionRecordVo.class);
        return userConsumptionRecordVoList;
    }

    @Override
    public List<UserEntity> whetherSignToday(Integer userId) {
        List<UserEntity> userEntityList=userVideoMapper.findUserEntityList(userId);
        return userEntityList;
    }

    @Override
    public List<UserInfoCollectionVo> findUserInfoCollectionList() {
        List<UserInfoCollectionEntity> userVideoCollectionEntityList=userVideoMapper.findUserInfoCollectionList();
        List<UserInfoCollectionVo> userVideoCollectionVoList = ConvertUtil.entityToVoList(userVideoCollectionEntityList, UserInfoCollectionVo.class);
        return userVideoCollectionVoList;
    }

    @Override
    public List<UserAdoptCommentVo> findMyAdoptedCommentList() {
        List<UserAdoptCommentEntity> userAdoptCommentEntityList=userVideoMapper.findMyAdoptedCommentList();
        List<UserAdoptCommentVo> userAdoptCommentVoList = ConvertUtil.entityToVoList(userAdoptCommentEntityList, UserAdoptCommentVo.class);
        return userAdoptCommentVoList;
    }

    @Override
    public List<UserArchivesVo> findUserArchives(Integer userId) {
        List<UserArchivesEntity> userArchivesEntityList=userVideoMapper.findUserArchives(userId);
        List<UserArchivesVo> userArchivesVoList = ConvertUtil.entityToVoList(userArchivesEntityList, UserArchivesVo.class);
        return userArchivesVoList;
    }

    @Override
    public void addUserArchives(UserArchivesEntity userArchivesEntity,Integer userId) {
        userVideoMapper.addUserArchives(userArchivesEntity,userId);
    }

    @Override
    public void uploadUserArchivesImg(Integer id) {
        userVideoMapper.uploadUserArchivesImg(id);
    }




    @Override
    public List<UserVideoBuyVo> findUserVideoBuyList() {
        List<UserVideoBuyEntity> userVideoCollectionEntityList=userVideoMapper.findUserVideoBuyList();
        List<UserVideoBuyVo> userVideoBuyList =  ConvertUtil.entityToVoList(userVideoCollectionEntityList, UserVideoBuyVo.class);
        return userVideoBuyList;
    }

    @Override
    public void deleteVideoBuy(Integer videoId) {
        userVideoMapper.deleteVideoBuy(videoId);
    }

    @Override
    public List<UserWalletEntity> findUserWallet() {
        return userVideoMapper.findUserWallet();
    }


}
